#!/bin/sh

set -x
set -e

cargo build --target x86_64-unknown-uefi
mkdir -p esp/efi/boot
cp target/x86_64-unknown-uefi/debug/uefi-textadventure.efi esp/efi/boot/bootx64.efi
qemu-system-x86_64 -enable-kvm \
    -drive if=pflash,format=raw,readonly=on,file=edk2-x86_64-code.fd \
    -drive format=raw,file=fat:rw:esp
